com.sun.source.tree

## Interface AnnotationTree

All Superinterfaces:
  ExpressionTree, Tree

    @Exported
    public interface AnnotationTree
    extends ExpressionTree

A tree node for an annotation. For example:

         @annotationType
         @annotationType ( arguments )

Since:
  1.6
See The Java™ Language Specification:
  section 9.7

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`Tree` `getAnnotationType()`
`List<? extends ExpressionTree>` `getArguments()`

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getAnnotationType

    Tree getAnnotationType()

#### getArguments

    List<? extends ExpressionTree> getArguments()